# Experts

Once you've created an access token you can explore the search endpoint. To show an experts full profile you can use the expert endpoint. Within this section, you'll notice you can work with individual profile fields. If you're just looking to make a complete profile, you'll only require the `expert` endpoint.

You can also create your own forms and submit inquiry details to ExpertFile using the inquiry endpoint.

### Generate a Token:

{% content-ref url="/pages/BYd1G0wKUbajbfmWWW79" %}
[Authentication](/reference/api-reference/authentication.md)
{% endcontent-ref %}

### Explore the Expert Listing/Search endpoint:

{% content-ref url="/pages/OYUtadTzQaCz9tGC0iQN" %}
[Expert Directory/Search](/reference/api-reference/experts/expert-directory-search.md)
{% endcontent-ref %}

### Full profile data:

{% content-ref url="/pages/D7LpiyuWZUV6ikty0sJZ" %}
[Expert Profile](/reference/api-reference/experts/expert-profile.md)
{% endcontent-ref %}

### Submitting Inquiries:

{% content-ref url="/pages/jhhvvAt4TsU6r09h8iRD" %}
[Inquiries](/reference/api-reference/inquiries.md)
{% endcontent-ref %}

### Adding Analytics tracking to your pages:

{% content-ref url="/pages/B8RUWa1icG9Xs3ADG2IM" %}
[Tracking Code (Analytics)](/reference/tracking-code-analytics.md)
{% endcontent-ref %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.expertfile.com/reference/api-reference/experts.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
